Package com.ocient.metrics

# Class Metric.MetricPath

java.lang.Object
com.ocient.metrics.Metric.MetricPath

Enclosing class:
  Metric<T>

    public static class Metric.MetricPath
    extends Object

The identifier than a perfCounter. The "path" should be constant (i.e. not containing variants like CPU, Socket, or device)

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`String` | `basePath()` |
`static Metric.MetricPath` | `create​(String basePath, List<Metric.NamedTag> tags)` | Constructs a Path for a perf counter with the given base path and set of `Metric.NamedTag`s.
`static Metric.MetricPath` | `createWithFullPath​(String basePath, List<Metric.NamedTag> tags, String fullPathOverride)` | Same as `create(String, List)` but the full path is provided instead of being derived from the given `Metric.NamedTag`s.
`boolean` | `equals​(Object obj)` |
`String` | `fullPath()` |
`int` | `hashCode()` |
`List<Metric.NamedTag>` | `tags()` |

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### create

public static Metric.MetricPath create​(String basePath, List<Metric.NamedTag> tags)
Constructs a Path for a perf counter with the given base path and set of `Metric.NamedTag`s.

Parameters:
  `basePath` - the base path for this counter
  `tags` - list on `Metric.NamedTag`s associated with this counter
Returns:
  a fully constructed `Metric.MetricPath`

### createWithFullPath

public static Metric.MetricPath createWithFullPath​(String basePath, List<Metric.NamedTag> tags, String fullPathOverride)
Same as `create(String, List)` but the full path is provided instead of being derived from the given `Metric.NamedTag`s.

Parameters:
  `basePath` - the base path for this counter
  `tags` - list on `Metric.NamedTag`s associated with this counter
  `fullPathOverride` - the full path of the created `Metric.MetricPath` object
Returns:
  a fully constructed `Metric.MetricPath`

### basePath

public String basePath()

Returns:
  the base path

### tags

public List<Metric.NamedTag> tags()

Returns:
  the tags associated with this counter

### fullPath

public String fullPath()

Returns:
  the full path. Can be interpreted as a unique identifier for a counter

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`